// NOTE: THIS FILE WILL BE OVERWRITTEN WHEN THE MOD IS UPDATED VIA STEAM
// SO PLEASE MAKE SURE YOU MAKE A COPY OF IT SOMEWHERE OUTSIDE THE MOD FOLDER

// THESE SETTINGS ARE NOT STORED WITH EACH MAP. THEY ARE READ IN AND USED
// WHEN RIMWORLD STARTS. ALL OF THESE SETTINGS ARE INTERNAL SETTINGS AND THIS
// FILE PROVIDES THE MORE ADVANCED PLAYERS WITH THE ABILITY TO TWEAK THE INTERNAL
// SETTINGS OF ZOMBIELAND. BEWARE OF THE CONSEQUENCES!

// ---------------------------------------------------------------------------

// Set this to true if you want to see how zombies track enemies
DEBUGGRID = false

// Setting this to false will turn of zombie sounds
USE_SOUND = true

// To debug zombies you can set this to a fixed number of zombies on the map.
// Default is -1 which disables this setting
DEBUG_MAX_ZOMBIE_COUNT = -1

// Since v1.17 Zombieland uses a new zombie ticking system that is adaptive and
// gives better speed results. You can turn it off to get the old behaviour
// Default is true
USE_ADAPTIVE_TICKING = true

// This is the fade-off of the traces every enemy leaves behind in game-seconds.
// Setting this lower will make zombies chaise you less because they loose track
// of you. Default is 180.0
PHEROMONE_FADEOFF = 180.0

// This controls how often the map is analyzed to find the center-of-interest
// and to sort zombies into a priority list in case we need to restrain cpu
// time. It is in game-seconds and the default is 60.0
TICKMANAGER_RECALCULATE_DELAY = 60.0

// This controls how often the avoid grid is updated. It is in game-seconds and
// the default is 0.25
TICKMANAGER_AVOIDGRID_DELAY = 0.25

// This controls how many game ticks wait between each bite when they eat and
// the default is 1200
EAT_DELAY_TICKS = 1200

// This controls the day/night cycle for zombies
// The following hours continue after 23h with 24, 25, 26...
// Default is 18-22 and 28-32
HOUR_START_OF_DUSK = 18
HOUR_START_OF_NIGHT = 22
HOUR_END_OF_NIGHT = 28
HOUR_START_OF_DAWN = 32

// This controls the distance within zombies will be aware of animals.
// Default is 2.0
ANIMAL_PHEROMONE_RADIUS = 2.0

// This controls the distance within zombies will be aware of non-animals.
// Default is 4.0
HUMAN_PHEROMONE_RADIUS = 4.0

// This controls the radius around tanky zombies which will draw ordinary zombies
// with the tankys movement.
// Default is 6.0
TANKY_PHEROMONE_RADIUS = 6.0

// The hit chance a zombie has when he is not tracking anything.
// Default is 0.2 (20%)
ZOMBIE_HIT_CHANCE_IDLE = 0.2

// The hit chance a zombie has when he is tracking something.
// Default is 0.7 (70%)
ZOMBIE_HIT_CHANCE_TRACKING = 0.7

// This controls then number of cells out of the 8 surrounding cells of a zombie
// that get selected for moving. Default is 3
NUMBER_OF_TOP_MOVEMENT_PICKS = 3

// The chance a zombie chooses a random movement when raging (multiplied by the number
// of zombies on the current and the destination positions together. Default is 0.25 (25%)
CLUSTER_AVOIDANCE_CHANCE = 0.25

// This is the chance a raging zombie does not go straight to their goal thus
// spreading them out a bit to keep it organic. Default is 0.1
DIVERTING_FROM_RAGE = 0.1

// This controls the grouping of zombies. The higher the number, the quicker
// will zombies loose interest in a trace if there are many zombies close to
// each other. Useful for controlling if zombies will stick together or loose
// interest faster. Default is 10000
ZOMBIE_CLOGGING_FACTOR = 10000

// When zombies kill something, this radius is applied to disburst them from
// the target in a random way. Default is 0.0 (off)
KILL_CIRCLE_RADIUS_MULTIPLIER = 0.0

// Muzzle flash value to base all other "how loud" calculations on.
// Default is 9 (vanilla Rimworld)
BASE_MUZZLE_FLASH_VALUE = 9.0

// How many zombies do need to stand close around a zombie to trigger it to
// become raging. Default is 14
SURROUNDING_ZOMBIES_TO_TRIGGER_RAGE = 14

// When easy kill is turned on, what is the chance to skip "missed a shot" on
// long distance shots from a colonist. Default is 0.9
COLONISTS_HIT_ZOMBIES_CHANCE = 0.9

// For use with Combat Extended mod, this value defines the output of the
// method CombatExtended/ArmorUtilityCE.cs:GetPenetrationValue()
COMBAT_EXTENDED_ARMOR_PENETRATION = 0.1

// Downed zombie may heal their wounds with the right settings. This defines
// the number of ticks between healing a wound and the next one
ZOMBIE_HEALING_TICKS = 3000

// For the spawn incident, this defines the area size in where this event will
// take place. Default is 10
SPAWN_INCIDENT_RADIUS = 10

// For the spawn incident, this defines the number of spawnable cells for a
// valid spawn area to be considered. Default is 6
MIN_ZOMBIE_SPAWN_CELL_COUNT = 6

// When firing a weapon, this defines the lower and upper limit of the range
// of that weapon. Zombies will detect a fired weapon within that range.
// Default is 2.0 - 30.0
MIN_WEAPON_RANGE = 2.0
MAX_WEAPON_RANGE = 30.0

// Minimum distance between a zombie and a pawn for allowing the zombie to
// attack the pawn. This value is the squared distance! Default is 1.5
MIN_ATTACKDISTANCE_SQUARED = 2.25
